Bug 6534 - Duplicate opac renew buttons at the top of the checkouts list
Summary: Duplicate opac renew buttons at the top of the checkouts list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-26 13:06 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of interface change (11.10 KB, image/png)
2011-07-07 19:00 UTC, Owen Leonard
Details
Proposed fix (8.50 KB, patch)
2011-07-07 19:02 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-06-26 13:06:36 UTC
Can the renew selected or renew all buttons be at the top and the bottom in the patron account in the OPAC?

Patrons w/ a lot of items out may not see the buttons at the bottom. Having them top and bottom maybe more user friendly?

Maybe even only have them show if there are only a certain number of account lines - otherwise it might look sloppy if there are no fines, but two sets of buttons.
Comment 1 Owen Leonard 2011-07-07 19:00:49 UTC
Created attachment 4578 [details]
Screenshot of interface change
Comment 2 Owen Leonard 2011-07-07 19:02:24 UTC
Created attachment 4579 [details] [review]
Proposed fix

This patch uses JS to add two links to the top of the checkouts
table: renew selected and renew all. Clicking each one submits
the respective form.

A change to opac-user.pl lets the template hide the renew buttons
if none of the items listed are available to be renewed.

Also added is a small validation routine to warn the user if
they try to "renew selected" without having checked any boxes.
Comment 3 Ian Walls 2011-08-05 19:53:34 UTC
Easy enough patch to read, includes screenshot of results, primarily a template change (the one change to opac/opac-user.pl adds new parameters, and doesn't delete anything, so no worries of regression).  Marking as Passed QA.
Comment 4 Chris Cormack 2011-08-07 21:01:20 UTC
Pushed, please test